using Microsoft.Extensions.Caching.Memory;
using Robware.Lib.ApiClient;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;
using Website.Models.Mailboxes;

namespace Website.Data
{
	public class MailboxesApi : ApiClient, IMailboxesApi
	{
		public MailboxesApi(HttpClient client, IMemoryCache cache, CacheDurations cacheDurations) : base(client, cache, cacheDurations)
		{
		}

		public async Task<IEnumerable<Alias>> ListAliases() => await Get<IEnumerable<Alias>>("alias/list");
		public async Task EnableAlias(int id) => await Patch<object>("alias/enable", null, new {id});

		public async Task DisableAlias(int id) => await Patch<object>("alias/disable", null, new {id});

		public async Task CreateAlias(NewAlias alias) => await Post<object>("alias/create", alias);

		public async Task DeleteAlias(int id) => await Delete<object>("alias/delete", new {id});
	}
}